apiVersion: v1
kind: Secret
metadata:
  name: notification-config
  namespace: {{ .Release.Namespace }}
type: Opaque
data:
  TZ: {{ .Values.notification.configs.tz | b64enc | quote }}
  APP_NAME: {{ .Values.notification.configs.appName | b64enc | quote }}
  SERVICE_API_ACCESS_HOST: {{ .Values.notification.configs.serviceApiAccessHost | b64enc | quote }}
  SERVICE_API_ACCESS_PORT: {{ .Values.notification.configs.serviceApiAccessPort | toString | b64enc }}
  RABBITMQ_HOST: {{ .Values.notification.configs.rabbitmqHost | b64enc | quote }}
  RABBITMQ_PORT: {{ .Values.notification.configs.rabbitmqPort | toString | b64enc }}
  RABBITMQ_USERNAME: {{ .Values.notification.configs.rabbitmqUsername | b64enc | quote }}
  RABBITMQ_PASSWORD: {{ .Values.notification.configs.rabbitmqPassword | b64enc | quote }}
  RABBITMQ_VRITUAL_HOST: {{ .Values.notification.configs.rabbitmqVritualHost | b64enc | quote }}
  SYSTEM_USER_ID: {{ .Values.notification.configs.systemUserId | b64enc | quote }}
  SMS_FROM: {{ .Values.notification.configs.smsFrom | b64enc | quote }}
  EMAIL_FROM: {{ .Values.notification.configs.emailFrom | b64enc | quote }}
  SECRET_KEY: {{ .Values.notification.configs.secretKey | b64enc | quote }}
  SENDGRID_API_KEY: {{ .Values.notification.configs.sendgridApiKey | b64enc | quote }}
  TWILIO_ACCOUNT_SID: {{ .Values.notification.configs.twilioAccountSid | b64enc | quote }}
  TWILIO_AUTH_TOKEN: {{ .Values.notification.configs.twilioAuthToken | b64enc | quote }}
  